%define debug_package %{nil}

Summary: GnuPG integration scripts for Pine
Name:    ez-pine-gpg
Version: 0.4h
Release: alt1_6
License: GPLv2+
Group:   File tools
URL:     http://business-php.com/opensource/ez-pine-gpg/

Source0: http://business-php.com/opensource/%{name}/%{name}_v%{version}.tgz

BuildArch: noarch
Source44: import.info

%description
ez-pine-gpg is a set of scripts that allows beginners and experts to use gpg
with Pine.

%prep
%setup -q -n %{name}

%build
echo "Nothing to build."

%install

mkdir -p %{buildroot}%{_bindir}
./install %{buildroot}%{_bindir}
for f in %{buildroot}%{_bindir}/ez-pine-gpg* ; do
    sed -i -e 's|%{buildroot}||g' ${f}
done

cat << EOF > pine-config
In pine, press: [M]ain [S]etup [C]onfigure
and add these filters:

display-filters =  _LEADING("-----BEGIN PGP")_ %{_bindir}/ez-pine-gpg-incoming
sending-filters =  %{_bindir}/ez-pine-gpg-sign-and-encrypt _INCLUDEALLHDRS_ _RECIPIENTS_
                   %{_bindir}/ez-pine-gpg-encrypt _RECIPIENTS_
                   %{_bindir}/ez-pine-gpg-sign _INCLUDEALLHDRS_

You may also install the ez-pine-gpg-symmetric sending filter.  See the
README for details.
EOF

%files
%doc README pine-config gpl.txt
%{_bindir}/ez-pine-gpg-encrypt
%{_bindir}/ez-pine-gpg-helper-recipient
%{_bindir}/ez-pine-gpg-helper-sender
%{_bindir}/ez-pine-gpg-incoming
%{_bindir}/ez-pine-gpg-sign
%{_bindir}/ez-pine-gpg-sign-and-encrypt
%{_bindir}/ez-pine-gpg-symmetric

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4h-alt1_6
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.4h-alt1_5
- fc import

